digiKam Developer Documentation: Digikam::DragDropViewImplementation Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::DragDropViewImplementation Class Referenceabstract
Inheritance diagram for Digikam::DragDropViewImplementation:

## Public Member Functions
virtual void | copy ()
virtual void | cut ()
virtual void | paste ()

## Protected Member Functions
virtual QAbstractItemView * | asView ()=0
| This one is implemented by DECLARE_VIEW_DRAG_DROP_METHODS.
bool | decodeIsCutSelection (const QMimeData *mimeData)
virtual AbstractItemDragDropHandler * | dragDropHandler () const =0
| You need to implement these three methods Returns the drag drop handler.
void | dragEnterEvent (QDragEnterEvent *event)
| Implements the relevant QAbstractItemView methods for drag and drop.
void | dragMoveEvent (QDragMoveEvent *e)
void | dropEvent (QDropEvent *e)
void | encodeIsCutSelection (QMimeData *mime, bool isCutSelection)
virtual QModelIndex | mapIndexForDragDrop (const QModelIndex &index) const =0
| Maps the given index of the view's model to an index of the handler's model, which can be a source model of the view's model.
virtual QPixmap | pixmapForDrag (const QList< QModelIndex > &indexes) const =0
| Creates a pixmap for dragging the given indexes.
void | startDrag (Qt::DropActions supportedActions)

## Member Function Documentation

## ◆ dragDropHandler()

virtual AbstractItemDragDropHandler * Digikam::DragDropViewImplementation::dragDropHandler | ( |  | ) | const
| protectedpure virtual

Implemented in Digikam::ItemCategorizedView, Digikam::TableViewTreeView, Digikam::VersionsTreeView, ShowFoto::ShowfotoCategorizedView, and Digikam::ImportCategorizedView.

## ◆ mapIndexForDragDrop()

virtual QModelIndex Digikam::DragDropViewImplementation::mapIndexForDragDrop | ( | const QModelIndex & | index | ) | const
| protectedpure virtual

Implemented in Digikam::TableViewTreeView, Digikam::VersionsTreeView, and Digikam::ItemViewCategorized.

## ◆ pixmapForDrag()

virtual QPixmap Digikam::DragDropViewImplementation::pixmapForDrag | ( | const QList< QModelIndex > & | indexes | ) | const
| protectedpure virtual

Implemented in Digikam::TableViewTreeView, Digikam::VersionsTreeView, and Digikam::ItemViewCategorized.